> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Create a new project for the authenticated user.

# IDOR AUDIT PASS — user_id is sourced from the API key, never the body.



## OpenAPI

````yaml post /api/v1/projects
openapi: 3.1.0
info:
  title: EDN Memory Engine
  version: 0.1.0
servers:
  - description: EDN evaluation endpoint
    url: https://api.tensorpro.ai
security:
  - EDNApiKey: []
paths:
  /api/v1/projects:
    post:
      summary: Create Project
      description: |-
        Create a new project for the authenticated user.

        # IDOR AUDIT PASS — user_id is sourced from the API key, never the body.
      operationId: create_project_api_v1_projects_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectSummary'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateProjectRequest:
      properties:
        name:
          title: Name
          type: string
      required:
        - name
      title: CreateProjectRequest
      type: object
    ProjectSummary:
      properties:
        created_at:
          title: Created At
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        session_count:
          default: 0
          title: Session Count
          type: integer
        source_count:
          default: 0
          title: Source Count
          type: integer
        updated_at:
          title: Updated At
          type: string
      required:
        - id
        - name
        - created_at
        - updated_at
      title: ProjectSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    EDNApiKey:
      description: >-
        EDN API key presented as 'Bearer <key>' in the Authorization header.
        Create and manage keys from the Console.
      in: header
      name: Authorization
      type: apiKey

````